Summary: Register your dynamic IP address with a static domain name
Name: irquery
Version: 0.4.7
Release: 2
Group: Networking/Daemons
Copyright: GPL
Source: ftp.ddns.org:/pub/IP/irquery.tgz
Patch: irquery-build.patch
Packager: Andrea Borgia <borgia@cs.unibo.it>
BuildRoot: /tmp/irquery-buildroot

%description
Register your dynamic IP address (as obtained via DHCP, PPP or other means)
with a static domain name through Webworks' free dynamic DNS service in the
ddns.org domain.  This allows people to refer to your computer with an
unchanging name even though your IP address can change.  Also includes a
program to find people's dynamic IP addresses based on their e-mail
addresses. Added Mail Forwarding, and HTTP Redirection.

%prep
%setup -n irquery
%patch -p1

%build
make

%install
export RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/etc
make install
install -m 600 irquery.conf $RPM_BUILD_ROOT/etc

%clean                                                                                             
[ -z "${RPM_BUILD_ROOT}" ] && exit 1                                                               
rm -rf ${RPM_BUILD_ROOT} 

%files
%attr(-, root, root) /usr/bin/irquery
%attr(-, root, root) /usr/bin/iron
%attr(-, root, root) /usr/bin/iroff
%attr(-, root, root) /usr/bin/irfind
%attr(-, root, root) /usr/man/man1/irquery.1
%attr(-, root, root) /usr/man/man1/iron.1
%attr(-, root, root) /usr/man/man1/iroff.1
%attr(-, root, root) /usr/man/man1/irfind.1
%attr(-, root, root) %config /etc/irquery.conf
%attr(-, root, root) %doc README INSTALL CREDITS COPYING AUTHORS

%changelog
* Thu Jul 23 1998 Andrea Borgia <borgia@cs.unibo.it>
- made buildroot capable
- changed installdir from /usr/local/bin to /usr/bin
